### Method

# Gdk Seat get_tools

#### Declaration [src]

    GList*
    gdk_seat_get_tools (
      GdkSeat* seat
    )

#### Description [src]

Returns all `GdkDeviceTools` that are known to the application.

#### Return value

Type: A list of `GdkDeviceTool*`

A list of tools. Free with g_list_free().

The caller of the method takes ownership of the returned data container, but not the data inside it.